package com.bonus.core.customer.face.utils;

import com.bonus.core.customer.vo.CustInfoAndCarSeriesNumVo;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class FacePersonDto {
   @ApiModelProperty("人员Id")
   private String id;
   @ApiModelProperty("人员名称")
   private @NotNull(
   message = "人员名称 不可为空!"
) String name;
   @ApiModelProperty("人员卡号")
   private String idcardNum;
   @ApiModelProperty("身份证号")
   private String iDNumber;
   @ApiModelProperty("刷脸模式权限  1：关 2：开 (默认)")
   private Integer facePermission;
   @ApiModelProperty("刷卡模模式权限  1：关 2：开 (默认)")
   private Integer idCardPermission;
   @ApiModelProperty("人卡合一模模式权限  1：关(默认) 2：开")
   private Integer faceAndCardPermission;
   @ApiModelProperty("人证比对模模式权限  1：关(默认) 2：开")
   private Integer iDPermission;
   @ApiModelProperty("人员备注（用户可自定义使用）")
   private String tag;
   @ApiModelProperty("手机号（用户可自定义使用）")
   private String phone;
   @ApiModelProperty("用户密码 长度 6，只允许数字，不允许使用对称密码例如(123321)")
   private String password;
   @ApiModelProperty("用户密码权限  1：关(默认) 2：开")
   private Integer passwordPermission;

   public FacePersonDto() {
   }

   public FacePersonDto(CustInfoAndCarSeriesNumVo custInfo) {
      this.setName(custInfo.getCustName());
      this.setPhone(custInfo.getMobile());
      this.setFacePermission(2);
      this.setFaceAndCardPermission(1);
      this.setIdCardPermission(2);
      this.setIDPermission(2);
      this.setPasswordPermission(2);
      this.setId(custInfo.getCustId().toString());
   }

   public String getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getIdcardNum() {
      return this.idcardNum;
   }

   public String getIDNumber() {
      return this.iDNumber;
   }

   public Integer getFacePermission() {
      return this.facePermission;
   }

   public Integer getIdCardPermission() {
      return this.idCardPermission;
   }

   public Integer getFaceAndCardPermission() {
      return this.faceAndCardPermission;
   }

   public Integer getIDPermission() {
      return this.iDPermission;
   }

   public String getTag() {
      return this.tag;
   }

   public String getPhone() {
      return this.phone;
   }

   public String getPassword() {
      return this.password;
   }

   public Integer getPasswordPermission() {
      return this.passwordPermission;
   }

   public void setId(final String id) {
      this.id = id;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setIdcardNum(final String idcardNum) {
      this.idcardNum = idcardNum;
   }

   public void setIDNumber(final String iDNumber) {
      this.iDNumber = iDNumber;
   }

   public void setFacePermission(final Integer facePermission) {
      this.facePermission = facePermission;
   }

   public void setIdCardPermission(final Integer idCardPermission) {
      this.idCardPermission = idCardPermission;
   }

   public void setFaceAndCardPermission(final Integer faceAndCardPermission) {
      this.faceAndCardPermission = faceAndCardPermission;
   }

   public void setIDPermission(final Integer iDPermission) {
      this.iDPermission = iDPermission;
   }

   public void setTag(final String tag) {
      this.tag = tag;
   }

   public void setPhone(final String phone) {
      this.phone = phone;
   }

   public void setPassword(final String password) {
      this.password = password;
   }

   public void setPasswordPermission(final Integer passwordPermission) {
      this.passwordPermission = passwordPermission;
   }
}
